import type { DialogOption } from '../../types/types';
declare var __VLS_5: {}, __VLS_15: {}, __VLS_17: {};
type __VLS_Slots = {} & {
    title?: (props: typeof __VLS_5) => any;
} & {
    default?: (props: typeof __VLS_15) => any;
} & {
    footer?: (props: typeof __VLS_17) => any;
};
declare const __VLS_component: import("vue").DefineComponent<DialogOption, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (...args: any[]) => void;
    "update:show": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<DialogOption> & Readonly<{
    onClose?: (...args: any[]) => any;
    "onUpdate:show"?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
